Bug 236102 - Merge transactions during ->evict_inode() for gfs2
Merge transactions during ->evict_inode() for gfs2
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Steve Whitehouse
: FutureFeature
Depends On: 242066
Blocks: 434407 698394
  Show dependency treegraph
 
Reported: 2007-04-11 18:22 EDT by Steve Whitehouse
Modified: 2016-09-20 01:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2007-04-11 18:22:06 EDT
Deallocation of a file is broken into several transactions. It should be
possible to merge some of these. Also there is considerable scope for
optimisation by reading things ahead in various places.

Also, if it is possible to deallocate directories without having to journal all
the hash table blocks and write them back to disk, then that should also result
in a faster deallocation.

The main problem here is the indeterminate number of rgrps in which the blocks
of the inode might reside. This means that deallocation may have to be broken
into separate transactions in order not to overflow the max transaction size.

We also need to spend some time looking for other oprimisations in this code.
Comment 12 Steve Whitehouse 2011-05-16 06:45:17 EDT
->delete_inode() has become ->evict_inode() in the upstream code

Note You need to log in before you can comment on or make changes to this bug.